X=readyalefaces_to_tensor;
%X = X(:,:,1:4,[12,9,6,1]); %filters out only some faces
[w h expr ind]=size(X);
clf;
for i=1:expr
    for j=1:ind
        subplot('position', [(i-1)/expr, (j-1)/ind,1/expr,1/ind]); 
%        subplot(expr,ind,j+(i-1)*ind);
        imagesc(X(:,:,i,j));
        colormap(gray);
    end
end
set(findobj(gcf, 'type','axes'), 'Visible','off')